define([
    'jquery',
    'mage/calendar',
    'mage/validation'
], function ($) {
    'use strict';

    $.widget('filoblu.disableshop_info_request', {

        _create: function () {

            var self = this,
                form = self.element,
                submitButton = $('#submit-ask-info',form),
                product_name = self.options.product_name,
                product_sku  = self.options.product_sku

            submitButton.on('click', function(e){
                e.preventDefault();
                if($(form[0]).valid()){
                    self.ajaxSubmitAppointment(form,product_name,product_sku);
                }

            })
        },

        ajaxSubmitAppointment: function(form,product_name,product_sku) {
            $.ajax({
                showLoader: true,
                url: form.attr("action"),
                data: form.serialize() + '&product_name=' + product_name + '&product_sku=' + product_sku,
                type: "POST",
                dataType: 'json'
            }).done(function (result) {
                form.fadeOut();
                form.siblings('#ask-info-submit-success-section').fadeIn();
            });
        },

    });

    return $.filoblu.disableshop_info_request;
});
